Subject: Re: compiling with -Wall -Werror seems to be broken

From: Dominik Vogt <[email-masked]>
Date: Fri, 1 Feb 2002 12:10:55 +0100

On Fri, Feb 01, 2002 at 01:57:44AM +0100, Tomas Ogren wrote:
> On 31 January, 2002 - Dominik Vogt sent me these 0,7K bytes:
> 
> > I just noticed that when I compile with
> > 
> >   make CFLAGS="-g -Wall -Werror"
> > 
> > I get no warnings at all.  I believe that worked a while ago, but
> > I'm not sure.  When I compile with
> > 
> >   make CFLAGS="-g -Wall -Werror -O2"
> > 
> > the warnings work fine.  Could that have anything to do with hard
> > coding some of the options in the Makefile?  Or is this a gcc bug?
> 
> Some warning stuff won't be found until the compiler starts shuffling
> stuff around, noticing new angles of the same data...

Of course.  What I wanted to point out is that I get warnings if I
compile with optimization, and I don't get warnings if I turn off
optimization.  There should be no relationship between warnings
and optimizitaion.

Bye

Dominik ^_^  ^_^

-- 
Dominik Vogt, email: [email-masked]
LifeBits Aktiengesellschaft, Albrechtstr. 9, D-72072 Tuebingen
fon: ++49 (0) 7071/7965-0, fax: ++49 (0) 7071/7965-20
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]